# CostDetails

Breakdown of upstream inference costs


## Fields

| Field                                 | Type                                  | Required                              | Description                           |
| ------------------------------------- | ------------------------------------- | ------------------------------------- | ------------------------------------- |
| `upstream_inference_completions_cost` | *float*                               | :heavy_check_mark:                    | N/A                                   |
| `upstream_inference_cost`             | *OptionalNullable[float]*             | :heavy_minus_sign:                    | N/A                                   |
| `upstream_inference_prompt_cost`      | *float*                               | :heavy_check_mark:                    | N/A                                   |